View Issue Details

IDProjectCategoryView StatusLast Update
0001855VALENTINA SERVERAPIpublic2006-10-24 07:13
ReporterChrister OlssonAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.4.2 
Target VersionFixed in Version2.5 
Summary0001855: [NEW] Secure VServer connections. SSL.
DescriptionI would very much like (and somewhat need) secure and encrypted communication (SSL or something else)between Valentina clients and Valentina server, including sending ID and password for the connection.

I belive both MySQL and PostgreSQL (and the new RB plugins for them) support SSL.
TagsNo tags attached.

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2006-10-14 06:39

administrator   ~0001626

IMPLEMENTED.

Next 2.5 beta will introduce this.
Ivan Smahin

Ivan Smahin

2006-10-24 07:13

manager   ~0001659

Implemented.

Issue History

Date Modified Username Field Change
2006-09-25 03:39 Christer Olsson New Issue
2006-09-25 03:50 Ruslan Zasukhin Status new => assigned
2006-09-25 03:50 Ruslan Zasukhin Assigned To => Ivan Smahin
2006-10-13 02:44 Ruslan Zasukhin Project ADK-Xojo-V4RB => VALENTINA SERVER
2006-10-14 06:38 Ruslan Zasukhin Category Feature Request => API
2006-10-14 06:38 Ruslan Zasukhin Summary Secure server connections => [NEW] Secure VServer connections. SSL.
2006-10-14 06:39 Ruslan Zasukhin Note Added: 0001626
2006-10-24 07:13 Ivan Smahin Status assigned => resolved
2006-10-24 07:13 Ivan Smahin Fixed in Version => 2.5
2006-10-24 07:13 Ivan Smahin Resolution open => fixed
2006-10-24 07:13 Ivan Smahin Note Added: 0001659